Bug 444862 - NM crashed after ctrl+c.
NM crashed after ctrl+c.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 06:49 EDT by Adrian "Adi1981" P.
Modified: 2009-02-04 19:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 19:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian "Adi1981" P. 2008-05-01 06:49:55 EDT
Description of problem:
Today i've started NetworkManager --no-daemon, and after several unsuccessful
tries to connect to my wifi network, after i've pressed ^C to quit
NetworkManager, i received this backtrace:

NetworkManager: <WARN>  nm_signal_handler(): Caught signal 2, shutting down
normally.
NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating
backtrace...
NetworkManager: ******************* START **********************************
NetworkManager: [Thread debugging using libthread_db enabled]
NetworkManager: [New Thread 0xb80db710 (LWP 8770)]
NetworkManager: 0x00110416 in __kernel_vsyscall ()
NetworkManager: #0  0x00110416 in __kernel_vsyscall ()
NetworkManager: #1  0x0080fb43 in __waitpid_nocancel () from /lib/libpthread.so.0
NetworkManager: #2  0x0806c093 in nm_logging_backtrace () at nm-logging.c:70
NetworkManager: #3  0x08068725 in nm_signal_handler (signo=11) at
NetworkManager.c:125
NetworkManager: #4  <signal handler called>
NetworkManager: #5  g_hash_table_remove_internal (hash_table=<value optimized
out>, key=<value optimized out>, notify=<valueoptimized out>)
NetworkManager:     at ghash.c:267
NetworkManager: #6  0x004112d0 in dbus_g_proxy_cancel_call (proxy=<value
optimized out>, call=<value optimized out>) at dbus-gproxy.c:2682
Could not find the frame base for "cancel_pending_call".
NetworkManager: ) at dbus-gproxy.c:1438
NetworkManager: #8  0x009bdd76 in IA__g_hash_table_foreach (hash_table=<value
optimized out>, func=<value optimized out>,
NetworkManager:     user_data=<value optimized out>) at ghash.c:1071
NetworkManager: #9  0x00414791 in dbus_g_proxy_dispose (object=<value optimized
out>) at dbus-gproxy.c:1453
NetworkManager: #10 0x003ce1e8 in IA__g_object_unref (_object=<value optimized
out>) at gobject.c:1765
Could not find the frame base for "IA__g_slist_foreach".
NetworkManager: ) at gslist.c:743
NetworkManager: #12 0x08065199 in killswitch_poll_destroy (data=0x89a4420) at
nm-hal-manager.c:496
NetworkManager: #13 0x009cb6f4 in g_source_callback_unref (cb_data=<value
optimized out>) at gmain.c:1130
NetworkManager: #14 0x009cbcf0 in g_source_destroy_internal (source=<value
optimized out>, context=<value optimized out>,
NetworkManager:     have_lock=<value optimized out>) at gmain.c:909
NetworkManager: #15 0x009ce0dc in IA__g_source_remove (tag=<value optimized
out>) at gmain.c:1579
NetworkManager: #16 0x08065250 in hal_deinit () at nm-hal-manager.c:622
NetworkManager: #17 0x080652e6 in nm_hal_manager_destroy () at nm-hal-manager.c:774
NetworkManager: #18 0x08068ec2 in main (argc=144365800, argv=0xbf8f8874) at
NetworkManager.c:366
NetworkManager:
NetworkManager: Thread 1 (Thread 0xb80db710 (LWP 8770)):
NetworkManager: #0  0x00110416 in __kernel_vsyscall ()
NetworkManager: No symbol table info available.
NetworkManager: #1  0x0080fb43 in __waitpid_nocancel () from /lib/libpthread.so.0
NetworkManager: No locals.
NetworkManager: #2  0x0806c093 in nm_logging_backtrace () at nm-logging.c:70
NetworkManager:
NetworkManager: tv_nsec = 0},
NetworkManager: __unused5 = 0}
NetworkManager: #3  0x08068725 in nm_signal_handler (signo=11) at
NetworkManager.c:125
NetworkManager:
NetworkManager:
NetworkManager: #4  <signal handler called>
NetworkManager: No symbol table info available.
NetworkManager: #5  g_hash_table_remove_internal (hash_table=<value optimized
out>, key=<value optimized out>, notify=<valueoptimized out>)
NetworkManager:     at ghash.c:267
NetworkManager:         node_ptr = <value optimized out>
NetworkManager:
NetworkManager: #6  0x004112d0 in dbus_g_proxy_cancel_call (proxy=<value
optimized out>, call=<value optimized out>) at dbus-gproxy.c:2682
NetworkManager:
Could not find the frame base for "cancel_pending_call".
NetworkManager: ) at dbus-gproxy.c:1438
NetworkManager: No locals.
NetworkManager: #8  0x009bdd76 in IA__g_hash_table_foreach (hash_table=<value
optimized out>, func=<value optimized out>,
NetworkManager:     user_data=<value optimized out>) at ghash.c:1071
NetworkManager:         node = <value optimized out>
NetworkManager:         i = <value optimized out>
NetworkManager:
NetworkManager: #9  0x00414791 in dbus_g_proxy_dispose (object=<value optimized
out>) at dbus-gproxy.c:1453
NetworkManager:         proxy = <value optimized out>
NetworkManager:         priv = <value optimized out>
NetworkManager: #10 0x003ce1e8 in IA__g_object_unref (_object=<value optimized
out>) at gobject.c:1765
NetworkManager:         object = <value optimized out>
NetworkManager:
Could not find the frame base for "IA__g_slist_foreach".
NetworkManager: ) at gslist.c:743
NetworkManager:         next = <value optimized out>
NetworkManager: #12 0x08065199 in killswitch_poll_destroy (data=0x89a4420) at
nm-hal-manager.c:496
NetworkManager: No locals.
NetworkManager: #13 0x009cb6f4 in g_source_callback_unref (cb_data=<value
optimized out>) at gmain.c:1130
NetworkManager:         callback = <value optimized out>
NetworkManager: #14 0x009cbcf0 in g_source_destroy_internal (source=<value
optimized out>, context=<value optimized out>,
NetworkManager:     have_lock=<value optimized out>) at gmain.c:909
NetworkManager:         tmp_list = <value optimized out>
NetworkManager:         old_cb_data = <value optimized out>
NetworkManager:         old_cb_funcs = <value optimized out>
NetworkManager: #15 0x009ce0dc in IA__g_source_remove (tag=<value optimized
out>) at gmain.c:1579
NetworkManager:         source = <value optimized out>
NetworkManager:
NetworkManager: #16 0x08065250 in hal_deinit () at nm-hal-manager.c:622
NetworkManager:
NetworkManager: padding1 = 0xa75264}
NetworkManager:
NetworkManager: #17 0x080652e6 in nm_hal_manager_destroy () at nm-hal-manager.c:774
NetworkManager: No locals.
NetworkManager: #18 0x08068ec2 in main (argc=144365800, argv=0xbf8f8874) at
NetworkManager.c:366
NetworkManager:         opt_ctx = <value optimized out>
NetworkManager:
NetworkManager:
NetworkManager:         user_pidfile = 0x0
NetworkManager:         success = <value optimized out>
NetworkManager:         policy = (NMPolicy *) 0x89acfb0
NetworkManager:         hal_manager = <value optimized out>
NetworkManager:         vpn_manager = (NMVPNManager *) 0x89a4330
NetworkManager:         named_mgr = <value optimized out>
NetworkManager:         dbus_mgr = (NMDBusManager *) 0x89a6420
NetworkManager: SupplicantManager *) 0x89a16a0
NetworkManager: arg = G_OPTION_ARG_NONE,
NetworkManager: arg_description = 0x0}, {
NetworkManager: arg = G_OPTION_ARG_FILENAME, arg_data = 0xbf8f87ac,
NetworkManager: arg_description = 0x808ff2f "filename"}, {
NetworkManager: arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0,
NetworkManager:
NetworkManager:
NetworkManager: #0  0x00110416 in __kernel_vsyscall ()
NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n)
[answered Y; input not from terminal]
NetworkManager: ******************* END **********************************

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.2.svn3614.fc9.i386
Comment 1 Bug Zapper 2008-05-14 06:28:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Dan Williams 2009-02-04 19:21:43 EST
Fixed a while ago.

Note You need to log in before you can comment on or make changes to this bug.